| optoICC

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
optoICC.registers.icc_registers.ICCBoardEEPROM Class Reference
Inheritance diagram for optoICC.registers.icc_registers.ICCBoardEEPROM:

## Public Member Functions
def | __init__ (self, board=None)
def | get_map_channel (self, channel, name)
def | set_Out_cal_coef (self, channel, value)
def | get_Out_cal_coef (self, channel)
def | set_Ain_cal_coef (self, channel, value)
def | get_Ain_cal_coef (self, channel)
def | set_Int_I_cal_coef (self, channel, value)
def | get_Int_I_cal_coef (self, channel)
def | set_Int_U_cal_coef (self, channel, value)
def | get_Int_U_cal_coef (self, channel, byte_cnt=6)
def | set_Uin_cal_coef (self, value)
def | get_Uin_cal_coef (self, byte_cnt=6)
def | set_Iin_cal_coef (self, value)
def | get_Iin_cal_coef (self)
def | get_Ufe_cal_coef (self, byte_cnt=6)
def | set_Ufe_cal_coef (self, value)
def | lockEEPROM (self, enable=True)
def | verifyEEPROM (self, index, vector)
def | getEepromVersion (self)
def | getEepromSubVersion (self)
def | getSerialNumber (self)
def | setSerialNumber (self, serial)
def | getMACaddr (self)
def | setMACaddr (self, mac_addr)
def | getDHCP (self)
def | setDHCP (self, enable)
def | getIPv4addr (self)
def | setIPv4addr (self, addr)
def | getIPv4subnet (self)
def | setIPv4subnet (self, addr)
def | getIPv4gateway (self)
def | setIPv4gateway (self, addr)
def | getIPv4dns (self)
def | setIPv4dns (self, addr)
def | getIPv6addr (self)
def | setIPv6addr (self, addr)
def | getIPv6subnet (self)
def | setIPv6subnet (self, addr)
def | getIPv6gateway (self)
def | setIPv6gateway (self, addr)
def | getIPv6dns (self)
def | setIPv6dns (self, addr)
def | setTCPIPport (self, port)
def | getTCPIPport (self)
def | setUDPport (self, port)
def | getUDPport (self)
def | setI2Caddr (self, addr)
def | getI2Caddr (self)
def | setFEautostart (self, val)
def | getFEautostart (self)
def | setFEvoltage (self, val)
def | getFEvoltage (self)
def | setPWMfreq (self, val)
def | getPWMfreq (self)
def | setPWMenableChanMask (self, mask)
def | getPWMenableChanMask (self)
def | setDeviceDetectChanMask (self, val)
def | getDeviceDetectChanMask (self)
def | setDevice3V3chanMask (self, val)
def | getDevice3V3chanMask (self)
def | setPStempLimit (self, val)
def | getPStempLimit (self)
def | setPStempHyst (self, val)
def | getPStempHyst (self)
def | setOStempLimit (self, val)
def | getOStempLimit (self)
def | setOStempHyst (self, val)
def | getOStempHyst (self)
def | setAutoConfig (self, val)
def | getAutoConfig (self)
def | getCalTimestamp (self)
def | setCalTimestamp (self, timestamp)
def | setControlSetup (self, addr)
def | getControlSetup (self)
def | setSlaveNumOfRegisters (self, addr)
def | getSlaveNumOfRegisters (self)

## Static Public Member Functions
def | help ()

## Public Attributes
| eeprom_version
| eeprom_subversion
| part_number
| part_config
| prod_version
| DHCP_enable
| TCPIP_port
| UDP_port
| I2C_slave_addr
| FE_autostart
| FE_voltage
| PWM_freq
| PWM_enable_chan_mask
| Device_detect_chan_mask
| Device_3V3_state_chan_mask
| PS_temp_limit
| PS_temp_hyst
| OS_temp_limit
| OS_temp_hyst
| Auto_config
| Cal_timestamp
| Input_control_setup
| I2C_slave_num_of_registers
| eeprom
| serial_number
| MAC_addr
| IPv4_addr
| IPv6_addr
| Out_cal_coef_ch0
| Out_cal_coef_ch1
| Out_cal_coef_ch2
| Out_cal_coef_ch3
| Ain_cal_coef_ch0
| Ain_cal_coef_ch1
| Ain_cal_coef_ch2
| Ain_cal_coef_ch3
| Int_I_cal_coef_ch0
| Int_I_cal_coef_ch1
| Int_I_cal_coef_ch2
| Int_I_cal_coef_ch3
| Int_U_cal_coef_ch0
| Int_U_cal_coef_ch1
| Int_U_cal_coef_ch2
| Int_U_cal_coef_ch3
| Uin_cal_coef
| Iin_cal_coef
| Ufe_cal_coef
| IPv4_sn
| IPv4_gw
| IPv4_dns
| IPv6_sn
| IPv6_gw
| IPv6_dns

## Detailed Description

    * Board EEPROM system ID: <b>0x20</b>
    *
    * Board EEPROM system provides read and write functionality to the EEPROM located in the driver.
    * By default EEPROM data are write protected. To write data, the user has to explicitly unlock
    * the EEPROM by writing the key value to the lock register.
    *
    * ### Register Map:
    *
    * | Address | Name                           | Default Value | Description                                                       | Type   | Access    |
    * |---------|--------------------------------|---------------|-------------------------------------------------------------------|--------|-----------|
    * | 0x2000  | Lock                           | 1             | write the key to unlock, anything else to lock                    | float  | read write| Key value: 0x3f4744f6 (float 0.778396)
    * | 0x2001  | Board EEPROM version           | N/A           |                                                                   | uint16 | read only |
    * | 0x2002  | Board EEPROM subversion        | N/A           |                                                                   | uint8  | read only |
    * | 0x2003  | Part number                    | N/A           | Part number as an integer (2000mA->14521500, 500mA->14521400)     | uint32 | read only |
    * | 0x2004  | Part configuration             | N/A           |                                                                   | uint8  | read only |
    * | 0x2005  | Product version                | N/A           |                                                                   | uint8  | read only |
    * | 0x2006  | DHCP mode                      | true or 1     | DHCP enabled if not 0                                             | bool   | read write|
    * | 0x2007  | TCP-IP port                    | 5000          |                                                                   | bool   | read write|
    * | 0x2008  | UDP port                       | 30311         |                                                                   | bool   | read write|
    * | 0x2009  | I2C slave address              | 0x03          |                                                                   | uint8  | read write|
    * | 0x200A  | FE_autostart                   | true or 1     | Autostart if value!=0                                             | uint8  | read write|
    * | 0x200B  | FE_voltage                     | 12.0          |                                                                   | float  | read write|
    * | 0x200C  | PWM_freq                       | 0             | Startup PWM freq: 0=400kHz, 1=500kHz, 2=600kHz, 3=1MHz, 4=1.2MHz  | uint8  | read write|
    * | 0x200D  | PWM_enable_chan_mask           | 15            | Enable output PWM driver IC on channel (bitwise)                  | uint8  | read write|
    * | 0x200E  | Device_detect_chan_mask        | 15            | Enable autodetection on channel (bitwise)                         | uint8  | read write|
    * | 0x200F  | Device_3V3_state_chan_mask     | 0             | Enable device 3V3 startup state on channel (bitwise)              | uint8  | read write|
    * | 0x2010  | PS_temp_limit                  | 60            | Power supply temperature limit for shutdown                       | float  | read write|
    * | 0x2011  | PS_temp_hyst                   | 10            | Power supply temperature hysteresis for restart                   | float  | read write|
    * | 0x2012  | OS_temp_limit                  | 60            | Output stage temperature limit for shutdown                       | float  | read write|
    * | 0x2013  | OS_temp_hyst                   | 10            | Output stage temperature hysteresis for restart                   | float  | read write|
    * | 0x2014  | Start_auto_config              | 0             | 1=internal or 2=ext.triger starts auto-actuation (0=off)          | uint32 | read write|
    * | 0x2015  | Calibration Time-stamp         | N/A           | Unix Time format (seconds since 1.1.1970)                         | uint32 | read write|
    *
    * The board EEPROM system supports the following vectors (vectors have their own address space):
    *
    * | Address | Name                           | Default  | Description                 | Format and value |
    * |---------|--------------------------------|----------|-----------------------------|------------------|
    * | 0x2000  | Board EEPROM                   |   N/A    | supports bytes up to 0x2000 |                  |
    * | 0x2001  | Board serial number            |   N/A    | 8 bytes                     | read only        |
    * | 0x2002  | MAC address                    |   N/A    | 6 bytes                     | uint8            |
    * | 0x2003  | IPv4 address                   |   N/A    | 4 bytes                     | uint8            |
    * | 0x2004  | IPv6_address                   |   N/A    | 16 bytes                    | uint8            |
    * | 0x2005  | Output drive cal.coeff. chan0  |   N/A    | 6 * float (24 bytes)        | float            |
    * | 0x2006  | Output drive cal.coeff. chan1  |   N/A    | 6 * float (24 bytes)        | float            |
    * | 0x2007  | Output drive cal.coeff. chan2  |   N/A    | 6 * float (24 bytes)        | float            |
    * | 0x2008  | Output drive cal.coeff. chan3  |   N/A    | 6 * float (24 bytes)        | float            |
    * | 0x2009  | Input analog cal.coeff. chan0  |   N/A    | 6 * float (24 bytes)        | float            |
    * | 0x200A  | Input analog cal.coeff. chan1  |   N/A    | 6 * float (24 bytes)        | float            |
    * | 0x200B  | Input analog cal.coeff. chan2  |   N/A    | 6 * float (24 bytes)        | float            |
    * | 0x200C  | Input analog cal.coeff. chan3  |   N/A    | 6 * float (24 bytes)        | float            |
    * | 0x200D  | Int.meas.current cal.c. chan0  |   N/A    | 6 * float (24 bytes)        | float            |
    * | 0x200E  | Int.meas.current cal.c. chan1  |   N/A    | 6 * float (24 bytes)        | float            |
    * | 0x200F  | Int.meas.current cal.c. chan2  |   N/A    | 6 * float (24 bytes)        | float            |
    * | 0x2010  | Int.meas.current cal.c. chan3  |   N/A    | 6 * float (24 bytes)        | float            |
    * | 0x2011  | Int.meas.voltage cal.c. chan0  |   N/A    | 6 * float (24 bytes)        | float            |
    * | 0x2012  | Int.meas.voltage cal.c. chan1  |   N/A    | 6 * float (24 bytes)        | float            |
    * | 0x2013  | Int.meas.voltage cal.c. chan2  |   N/A    | 6 * float (24 bytes)        | float            |
    * | 0x2014  | Int.meas.voltage cal.c. chan3  |   N/A    | 6 * float (24 bytes)        | float            |
    * | 0x2015  | Int.meas. Uin cal.coefficient  |   N/A    | 6 * float (24 bytes)        | float            |
    * | 0x2016  | Int.meas. Iin cal.coefficient  |   N/A    | 6 * float (24 bytes)        | float            |
    * | 0x2017  | Int.meas. Ufe cal.coefficient  |   N/A    | 6 * float (24 bytes)        | float            |
    * | 0x2018  | Subnet Mask IPv4               |   N/A    | 4 bytes                     | uint8            |
    * | 0x2019  | Gateway IPv4                   |   N/A    | 4 bytes                     | uint8            |
    * | 0x201A  | DNS IPv4                       |   N/A    | 4 bytes                     | uint8            |
    * | 0x201B  | Subnet Mask IPv6               |   N/A    | 16 bytes                    | uint8            |
    * | 0x201C  | Gateway IPv6                   |   N/A    | 16 bytes                    | uint8            |
    * | 0x201D  | DNS IPv6                       |   N/A    | 16 bytes                    | uint8            |
    * |---------|--------------------------------|----------|-----------------------------|------------------|

## Constructor & Destructor Documentation

## ◆ __init__()

def optoICC.registers.icc_registers.ICCBoardEEPROM.__init__ | ( |  | self,
|  |  | board = `None`
| ) |  |

## Member Function Documentation

## ◆ get_Ain_cal_coef()

def optoICC.registers.icc_registers.ICCBoardEEPROM.get_Ain_cal_coef | ( |  | self,
|  |  | channel
| ) |  |

## ◆ get_Iin_cal_coef()

def optoICC.registers.icc_registers.ICCBoardEEPROM.get_Iin_cal_coef | ( |  | self | ) |

## ◆ get_Int_I_cal_coef()

def optoICC.registers.icc_registers.ICCBoardEEPROM.get_Int_I_cal_coef | ( |  | self,
|  |  | channel
| ) |  |

## ◆ get_Int_U_cal_coef()

def optoICC.registers.icc_registers.ICCBoardEEPROM.get_Int_U_cal_coef | ( |  | self,
|  |  | channel,
|  |  | byte_cnt = `6`
| ) |  |

## ◆ get_map_channel()

def optoICC.registers.icc_registers.ICCBoardEEPROM.get_map_channel | ( |  | self,
|  |  | channel,
|  |  | name
| ) |  |

## ◆ get_Out_cal_coef()

def optoICC.registers.icc_registers.ICCBoardEEPROM.get_Out_cal_coef | ( |  | self,
|  |  | channel
| ) |  |

## ◆ get_Ufe_cal_coef()

def optoICC.registers.icc_registers.ICCBoardEEPROM.get_Ufe_cal_coef | ( |  | self,
|  |  | byte_cnt = `6`
| ) |  |

## ◆ get_Uin_cal_coef()

def optoICC.registers.icc_registers.ICCBoardEEPROM.get_Uin_cal_coef | ( |  | self,
|  |  | byte_cnt = `6`
| ) |  |

## ◆ getAutoConfig()

def optoICC.registers.icc_registers.ICCBoardEEPROM.getAutoConfig | ( |  | self | ) |

## ◆ getCalTimestamp()

def optoICC.registers.icc_registers.ICCBoardEEPROM.getCalTimestamp | ( |  | self | ) |

## ◆ getControlSetup()

def optoICC.registers.icc_registers.ICCBoardEEPROM.getControlSetup | ( |  | self | ) |

## ◆ getDevice3V3chanMask()

def optoICC.registers.icc_registers.ICCBoardEEPROM.getDevice3V3chanMask | ( |  | self | ) |

## ◆ getDeviceDetectChanMask()

def optoICC.registers.icc_registers.ICCBoardEEPROM.getDeviceDetectChanMask | ( |  | self | ) |

## ◆ getDHCP()

def optoICC.registers.icc_registers.ICCBoardEEPROM.getDHCP | ( |  | self | ) |

## ◆ getEepromSubVersion()

def optoICC.registers.icc_registers.ICCBoardEEPROM.getEepromSubVersion | ( |  | self | ) |

## ◆ getEepromVersion()

def optoICC.registers.icc_registers.ICCBoardEEPROM.getEepromVersion | ( |  | self | ) |

## ◆ getFEautostart()

def optoICC.registers.icc_registers.ICCBoardEEPROM.getFEautostart | ( |  | self | ) |

## ◆ getFEvoltage()

def optoICC.registers.icc_registers.ICCBoardEEPROM.getFEvoltage | ( |  | self | ) |

## ◆ getI2Caddr()

def optoICC.registers.icc_registers.ICCBoardEEPROM.getI2Caddr | ( |  | self | ) |

## ◆ getIPv4addr()

def optoICC.registers.icc_registers.ICCBoardEEPROM.getIPv4addr | ( |  | self | ) |

## ◆ getIPv4dns()

def optoICC.registers.icc_registers.ICCBoardEEPROM.getIPv4dns | ( |  | self | ) |

## ◆ getIPv4gateway()

def optoICC.registers.icc_registers.ICCBoardEEPROM.getIPv4gateway | ( |  | self | ) |

## ◆ getIPv4subnet()

def optoICC.registers.icc_registers.ICCBoardEEPROM.getIPv4subnet | ( |  | self | ) |

## ◆ getIPv6addr()

def optoICC.registers.icc_registers.ICCBoardEEPROM.getIPv6addr | ( |  | self | ) |

## ◆ getIPv6dns()

def optoICC.registers.icc_registers.ICCBoardEEPROM.getIPv6dns | ( |  | self | ) |

## ◆ getIPv6gateway()

def optoICC.registers.icc_registers.ICCBoardEEPROM.getIPv6gateway | ( |  | self | ) |

## ◆ getIPv6subnet()

def optoICC.registers.icc_registers.ICCBoardEEPROM.getIPv6subnet | ( |  | self | ) |

## ◆ getMACaddr()

def optoICC.registers.icc_registers.ICCBoardEEPROM.getMACaddr | ( |  | self | ) |

## ◆ getOStempHyst()

def optoICC.registers.icc_registers.ICCBoardEEPROM.getOStempHyst | ( |  | self | ) |

## ◆ getOStempLimit()

def optoICC.registers.icc_registers.ICCBoardEEPROM.getOStempLimit | ( |  | self | ) |

## ◆ getPStempHyst()

def optoICC.registers.icc_registers.ICCBoardEEPROM.getPStempHyst | ( |  | self | ) |

## ◆ getPStempLimit()

def optoICC.registers.icc_registers.ICCBoardEEPROM.getPStempLimit | ( |  | self | ) |

## ◆ getPWMenableChanMask()

def optoICC.registers.icc_registers.ICCBoardEEPROM.getPWMenableChanMask | ( |  | self | ) |

## ◆ getPWMfreq()

def optoICC.registers.icc_registers.ICCBoardEEPROM.getPWMfreq | ( |  | self | ) |

## ◆ getSerialNumber()

def optoICC.registers.icc_registers.ICCBoardEEPROM.getSerialNumber | ( |  | self | ) |

## ◆ getSlaveNumOfRegisters()

def optoICC.registers.icc_registers.ICCBoardEEPROM.getSlaveNumOfRegisters | ( |  | self | ) |

## ◆ getTCPIPport()

def optoICC.registers.icc_registers.ICCBoardEEPROM.getTCPIPport | ( |  | self | ) |

## ◆ getUDPport()

def optoICC.registers.icc_registers.ICCBoardEEPROM.getUDPport | ( |  | self | ) |

## ◆ help()

def optoICC.registers.icc_registers.ICCBoardEEPROM.help | ( |  | ) |
| static

## ◆ lockEEPROM()

def optoICC.registers.icc_registers.ICCBoardEEPROM.lockEEPROM | ( |  | self,
|  |  | enable = `True`
| ) |  |

## ◆ set_Ain_cal_coef()

def optoICC.registers.icc_registers.ICCBoardEEPROM.set_Ain_cal_coef | ( |  | self,
|  |  | channel,
|  |  | value
| ) |  |

## ◆ set_Iin_cal_coef()

def optoICC.registers.icc_registers.ICCBoardEEPROM.set_Iin_cal_coef | ( |  | self,
|  |  | value
| ) |  |

## ◆ set_Int_I_cal_coef()

def optoICC.registers.icc_registers.ICCBoardEEPROM.set_Int_I_cal_coef | ( |  | self,
|  |  | channel,
|  |  | value
| ) |  |

## ◆ set_Int_U_cal_coef()

def optoICC.registers.icc_registers.ICCBoardEEPROM.set_Int_U_cal_coef | ( |  | self,
|  |  | channel,
|  |  | value
| ) |  |

## ◆ set_Out_cal_coef()

def optoICC.registers.icc_registers.ICCBoardEEPROM.set_Out_cal_coef | ( |  | self,
|  |  | channel,
|  |  | value
| ) |  |

## ◆ set_Ufe_cal_coef()

def optoICC.registers.icc_registers.ICCBoardEEPROM.set_Ufe_cal_coef | ( |  | self,
|  |  | value
| ) |  |

## ◆ set_Uin_cal_coef()

def optoICC.registers.icc_registers.ICCBoardEEPROM.set_Uin_cal_coef | ( |  | self,
|  |  | value
| ) |  |

## ◆ setAutoConfig()

def optoICC.registers.icc_registers.ICCBoardEEPROM.setAutoConfig | ( |  | self,
|  |  | val
| ) |  |

## ◆ setCalTimestamp()

def optoICC.registers.icc_registers.ICCBoardEEPROM.setCalTimestamp | ( |  | self,
|  |  | timestamp
| ) |  |

## ◆ setControlSetup()

def optoICC.registers.icc_registers.ICCBoardEEPROM.setControlSetup | ( |  | self,
|  |  | addr
| ) |  |

## ◆ setDevice3V3chanMask()

def optoICC.registers.icc_registers.ICCBoardEEPROM.setDevice3V3chanMask | ( |  | self,
|  |  | val
| ) |  |

## ◆ setDeviceDetectChanMask()

def optoICC.registers.icc_registers.ICCBoardEEPROM.setDeviceDetectChanMask | ( |  | self,
|  |  | val
| ) |  |

## ◆ setDHCP()

def optoICC.registers.icc_registers.ICCBoardEEPROM.setDHCP | ( |  | self,
|  |  | enable
| ) |  |

## ◆ setFEautostart()

def optoICC.registers.icc_registers.ICCBoardEEPROM.setFEautostart | ( |  | self,
|  |  | val
| ) |  |

## ◆ setFEvoltage()

def optoICC.registers.icc_registers.ICCBoardEEPROM.setFEvoltage | ( |  | self,
|  |  | val
| ) |  |

## ◆ setI2Caddr()

def optoICC.registers.icc_registers.ICCBoardEEPROM.setI2Caddr | ( |  | self,
|  |  | addr
| ) |  |

## ◆ setIPv4addr()

def optoICC.registers.icc_registers.ICCBoardEEPROM.setIPv4addr | ( |  | self,
|  |  | addr
| ) |  |

## ◆ setIPv4dns()

def optoICC.registers.icc_registers.ICCBoardEEPROM.setIPv4dns | ( |  | self,
|  |  | addr
| ) |  |

## ◆ setIPv4gateway()

def optoICC.registers.icc_registers.ICCBoardEEPROM.setIPv4gateway | ( |  | self,
|  |  | addr
| ) |  |

## ◆ setIPv4subnet()

def optoICC.registers.icc_registers.ICCBoardEEPROM.setIPv4subnet | ( |  | self,
|  |  | addr
| ) |  |

## ◆ setIPv6addr()

def optoICC.registers.icc_registers.ICCBoardEEPROM.setIPv6addr | ( |  | self,
|  |  | addr
| ) |  |

## ◆ setIPv6dns()

def optoICC.registers.icc_registers.ICCBoardEEPROM.setIPv6dns | ( |  | self,
|  |  | addr
| ) |  |

## ◆ setIPv6gateway()

def optoICC.registers.icc_registers.ICCBoardEEPROM.setIPv6gateway | ( |  | self,
|  |  | addr
| ) |  |

## ◆ setIPv6subnet()

def optoICC.registers.icc_registers.ICCBoardEEPROM.setIPv6subnet | ( |  | self,
|  |  | addr
| ) |  |

## ◆ setMACaddr()

def optoICC.registers.icc_registers.ICCBoardEEPROM.setMACaddr | ( |  | self,
|  |  | mac_addr
| ) |  |

## ◆ setOStempHyst()

def optoICC.registers.icc_registers.ICCBoardEEPROM.setOStempHyst | ( |  | self,
|  |  | val
| ) |  |

## ◆ setOStempLimit()

def optoICC.registers.icc_registers.ICCBoardEEPROM.setOStempLimit | ( |  | self,
|  |  | val
| ) |  |

## ◆ setPStempHyst()

def optoICC.registers.icc_registers.ICCBoardEEPROM.setPStempHyst | ( |  | self,
|  |  | val
| ) |  |

## ◆ setPStempLimit()

def optoICC.registers.icc_registers.ICCBoardEEPROM.setPStempLimit | ( |  | self,
|  |  | val
| ) |  |

## ◆ setPWMenableChanMask()

def optoICC.registers.icc_registers.ICCBoardEEPROM.setPWMenableChanMask | ( |  | self,
|  |  | mask
| ) |  |

## ◆ setPWMfreq()

def optoICC.registers.icc_registers.ICCBoardEEPROM.setPWMfreq | ( |  | self,
|  |  | val
| ) |  |

## ◆ setSerialNumber()

def optoICC.registers.icc_registers.ICCBoardEEPROM.setSerialNumber | ( |  | self,
|  |  | serial
| ) |  |

## ◆ setSlaveNumOfRegisters()

def optoICC.registers.icc_registers.ICCBoardEEPROM.setSlaveNumOfRegisters | ( |  | self,
|  |  | addr
| ) |  |

## ◆ setTCPIPport()

def optoICC.registers.icc_registers.ICCBoardEEPROM.setTCPIPport | ( |  | self,
|  |  | port
| ) |  |

## ◆ setUDPport()

def optoICC.registers.icc_registers.ICCBoardEEPROM.setUDPport | ( |  | self,
|  |  | port
| ) |  |

## ◆ verifyEEPROM()

def optoICC.registers.icc_registers.ICCBoardEEPROM.verifyEEPROM | ( |  | self,
|  |  | index,
|  |  | vector
| ) |  |

## Member Data Documentation

## ◆ Ain_cal_coef_ch0

optoICC.registers.icc_registers.ICCBoardEEPROM.Ain_cal_coef_ch0

## ◆ Ain_cal_coef_ch1

optoICC.registers.icc_registers.ICCBoardEEPROM.Ain_cal_coef_ch1

## ◆ Ain_cal_coef_ch2

optoICC.registers.icc_registers.ICCBoardEEPROM.Ain_cal_coef_ch2

## ◆ Ain_cal_coef_ch3

optoICC.registers.icc_registers.ICCBoardEEPROM.Ain_cal_coef_ch3

## ◆ Auto_config

optoICC.registers.icc_registers.ICCBoardEEPROM.Auto_config

## ◆ Cal_timestamp

optoICC.registers.icc_registers.ICCBoardEEPROM.Cal_timestamp

## ◆ Device_3V3_state_chan_mask

optoICC.registers.icc_registers.ICCBoardEEPROM.Device_3V3_state_chan_mask

## ◆ Device_detect_chan_mask

optoICC.registers.icc_registers.ICCBoardEEPROM.Device_detect_chan_mask

## ◆ DHCP_enable

optoICC.registers.icc_registers.ICCBoardEEPROM.DHCP_enable

## ◆ eeprom

optoICC.registers.icc_registers.ICCBoardEEPROM.eeprom

## ◆ eeprom_subversion

optoICC.registers.icc_registers.ICCBoardEEPROM.eeprom_subversion

## ◆ eeprom_version

optoICC.registers.icc_registers.ICCBoardEEPROM.eeprom_version

## ◆ FE_autostart

optoICC.registers.icc_registers.ICCBoardEEPROM.FE_autostart

## ◆ FE_voltage

optoICC.registers.icc_registers.ICCBoardEEPROM.FE_voltage

## ◆ I2C_slave_addr

optoICC.registers.icc_registers.ICCBoardEEPROM.I2C_slave_addr

## ◆ I2C_slave_num_of_registers

optoICC.registers.icc_registers.ICCBoardEEPROM.I2C_slave_num_of_registers

## ◆ Iin_cal_coef

optoICC.registers.icc_registers.ICCBoardEEPROM.Iin_cal_coef

## ◆ Input_control_setup

optoICC.registers.icc_registers.ICCBoardEEPROM.Input_control_setup

## ◆ Int_I_cal_coef_ch0

optoICC.registers.icc_registers.ICCBoardEEPROM.Int_I_cal_coef_ch0

## ◆ Int_I_cal_coef_ch1

optoICC.registers.icc_registers.ICCBoardEEPROM.Int_I_cal_coef_ch1

## ◆ Int_I_cal_coef_ch2

optoICC.registers.icc_registers.ICCBoardEEPROM.Int_I_cal_coef_ch2

## ◆ Int_I_cal_coef_ch3

optoICC.registers.icc_registers.ICCBoardEEPROM.Int_I_cal_coef_ch3

## ◆ Int_U_cal_coef_ch0

optoICC.registers.icc_registers.ICCBoardEEPROM.Int_U_cal_coef_ch0

## ◆ Int_U_cal_coef_ch1

optoICC.registers.icc_registers.ICCBoardEEPROM.Int_U_cal_coef_ch1

## ◆ Int_U_cal_coef_ch2

optoICC.registers.icc_registers.ICCBoardEEPROM.Int_U_cal_coef_ch2

## ◆ Int_U_cal_coef_ch3

optoICC.registers.icc_registers.ICCBoardEEPROM.Int_U_cal_coef_ch3

## ◆ IPv4_addr

optoICC.registers.icc_registers.ICCBoardEEPROM.IPv4_addr

## ◆ IPv4_dns

optoICC.registers.icc_registers.ICCBoardEEPROM.IPv4_dns

## ◆ IPv4_gw

optoICC.registers.icc_registers.ICCBoardEEPROM.IPv4_gw

## ◆ IPv4_sn

optoICC.registers.icc_registers.ICCBoardEEPROM.IPv4_sn

## ◆ IPv6_addr

optoICC.registers.icc_registers.ICCBoardEEPROM.IPv6_addr

## ◆ IPv6_dns

optoICC.registers.icc_registers.ICCBoardEEPROM.IPv6_dns

## ◆ IPv6_gw

optoICC.registers.icc_registers.ICCBoardEEPROM.IPv6_gw

## ◆ IPv6_sn

optoICC.registers.icc_registers.ICCBoardEEPROM.IPv6_sn

## ◆ MAC_addr

optoICC.registers.icc_registers.ICCBoardEEPROM.MAC_addr

## ◆ OS_temp_hyst

optoICC.registers.icc_registers.ICCBoardEEPROM.OS_temp_hyst

## ◆ OS_temp_limit

optoICC.registers.icc_registers.ICCBoardEEPROM.OS_temp_limit

## ◆ Out_cal_coef_ch0

optoICC.registers.icc_registers.ICCBoardEEPROM.Out_cal_coef_ch0

## ◆ Out_cal_coef_ch1

optoICC.registers.icc_registers.ICCBoardEEPROM.Out_cal_coef_ch1

## ◆ Out_cal_coef_ch2

optoICC.registers.icc_registers.ICCBoardEEPROM.Out_cal_coef_ch2

## ◆ Out_cal_coef_ch3

optoICC.registers.icc_registers.ICCBoardEEPROM.Out_cal_coef_ch3

## ◆ part_config

optoICC.registers.icc_registers.ICCBoardEEPROM.part_config

## ◆ part_number

optoICC.registers.icc_registers.ICCBoardEEPROM.part_number

## ◆ prod_version

optoICC.registers.icc_registers.ICCBoardEEPROM.prod_version

## ◆ PS_temp_hyst

optoICC.registers.icc_registers.ICCBoardEEPROM.PS_temp_hyst

## ◆ PS_temp_limit

optoICC.registers.icc_registers.ICCBoardEEPROM.PS_temp_limit

## ◆ PWM_enable_chan_mask

optoICC.registers.icc_registers.ICCBoardEEPROM.PWM_enable_chan_mask

## ◆ PWM_freq

optoICC.registers.icc_registers.ICCBoardEEPROM.PWM_freq

## ◆ serial_number

optoICC.registers.icc_registers.ICCBoardEEPROM.serial_number

## ◆ TCPIP_port

optoICC.registers.icc_registers.ICCBoardEEPROM.TCPIP_port

## ◆ UDP_port

optoICC.registers.icc_registers.ICCBoardEEPROM.UDP_port

## ◆ Ufe_cal_coef

optoICC.registers.icc_registers.ICCBoardEEPROM.Ufe_cal_coef

## ◆ Uin_cal_coef

optoICC.registers.icc_registers.ICCBoardEEPROM.Uin_cal_coef

The documentation for this class was generated from the following file:

- C:/Users/filip.stary/Documents/145-713-00-OptoICC/src/main/python/optoICC/registers/icc_registers.py